package com.ruoyi.common.annotation;

import java.lang.annotation.*;

/**
 * 排除逻辑删除逻辑
 * <p>
 * 当排除表名和排除表别名都为空时，排除所有表逻辑删除拼接
 */
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LogicIgnore {

    /**
     * 排除表名
     */
    String[] tableName() default {};

    /**
     * 排除表别名
     */
    String[] alias() default {};

}
